Subject: [IPP] Updated draft of IPP Authentication Methods whitepaper available for review

From: "Kennedy, Smith (Wireless & Standards Architec)" <[email-masked]>
Date: Tue, 5 Dec 2017 21:10:34 +0000

Greetings,

I have uploaded a new draft of the IPP Authentication Methods whitepaper for review. It is available here:

   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20171205.odt
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20171205.pdf
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20171205-rev.pdf
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20171205-rev.odt

Notable changes in this draft include:

* Corrected OAuth2 sequence diagram to more correctly describe the sequence of operations and actors involved in an OAuth2 authenticated IPP Printer scenario.

* Added Implementation Recommendations that were revealed during the course of correcting the OAuth2 sequence diagram.

Cheers,

Smith

/**
    Smith Kennedy
    Wireless & Standards Architect - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB-IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Fri, 08 Dec 2017 08:57:56 -0500

Smith,

Couple quick editorial notes on the latest draft:

- Section 3: Suggest title be changed to "Overview of IPP Authentication Methods"; it isn't really rationale, and this isn't a standards track document, so I think we can relax the usual boilerplate stuff.
- Section 3.1: Also mention printer-xri-supported's xri-authentication member attribute (RFC3380)
- Section 3.1.3: Line 111 should say "HTTP Basic" (capitalized, no quotes around Basic)
- Section 3.1.4: Line 121 should say "HTTP Digest" (capitalized, no quotes around Digest)
- Section 3.1.5: Ditto for Negotiate
- Section 3.1.6: "HTTP Bearer Token Usage", RFC 6750 (5749 is OAuth 1.0)
- Section 3.1.x: Add section on 'certificate' - requires TLS, which can be done inline with HTTP Upgrade

> On Dec 5, 2017, at 4:10 PM, Kennedy, Smith (Wireless & Standards Architec) <[email-masked]> wrote:
> 
> Greetings,
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer